#
# spec file for package rubygem-rexml
#
# Copyright (c) 2021 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rubygem-rexml
Version:        3.3.9
Release:        bp156.4.3.1
%define mod_name rexml
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
Url:            https://github.com/ruby/rexml
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Summary:        An XML toolkit for Ruby
License:        BSD-2-Clause
Group:          Development/Languages/Ruby

%description
An XML toolkit for Ruby.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE.txt NEWS.md README.md" \
  -f

%gem_packages

%changelog
* Wed Feb 19 2025 Steven Baker <steven.baker@suse.com>
- update to 3.3.9
  - fixes CVE-2024-49761, CVE-2024-43398, CVE-2024-41946,
    CVE-2024-41123, CVE-2024-39908, CVE-2024-35176
  - bsc#1232440, bsc#1229673, bsc#1228799, bsc#1228794,
    bsc#1228072, bsc#1224390
* Sun Apr 11 2021 Manuel Schnitzer <mschnitzer@suse.com>
- initialize package
